> For the complete documentation index, see [llms.txt](https://docs.trustlesswork.com/trustless-work/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trustlesswork.com/trustless-work/v1-es/introduccion/developer-resources/tipos/cargas-utiles/resolver-disputa.md).

# Resolver disputa

### Liberación Única

```typescript
/**
 * Resolver Carga Útil de Disputa
 */
export type SingleReleaseResolveDisputePayload = {
  /**
   * ID (dirección) que identifica el contrato de escrow
   */
  contractId: string;

  /**
   * Dirección encargada de resolver disputas dentro del escrow.
   */
  disputeResolver: string;

  /**
   * Distribuciones del monto del escrow a los receptores.
   */
  distributions: [
    {
      /**
       * Dirección del receptor
       */
      address: string;
      /**
       * Monto a ser transferido al receptor. Todo el monto debe ser igual al monto total del escrow.
       */
      amount: number;
    },
  ];
};
```

### Liberación Múltiple

```typescript
/**
 * Carga Útil de Resolución de Disputa de Liberación Múltiple
 */
export type MultiReleaseResolveDisputePayload = {
  /**
   * ID (dirección) que identifica el contrato de escrow
   */
  contractId: string;

  /**
   * Dirección encargada de resolver disputas dentro del escrow.
   */
  disputeResolver: string;

  /**
   * Distribuciones del monto del escrow a los receptores.
   */
  distributions: [
    {
      /**
       * Dirección del receptor
       */
      address: string;
      /**
       * Monto a ser transferido al receptor. Todo el monto debe ser igual al monto total del escrow.
       */
      amount: number;
    },
  ];

  /**
   * Índice del hito a ser resuelto
   */
  milestoneIndex: string;
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v1-es/introduccion/developer-resources/tipos/cargas-utiles/resolver-disputa.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
